<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Gedung</title>
</head>
<body>

<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Gedung</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/setting/gedung/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Gedung</a>
                        </div>
                    </div>
                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">#</th>
                    <th>Nama Gedung</th>
                    <th>Jumlah Lantai</th>
                    <th colspan="2" class="text-center">Action</th>
                </tr>
                <tr th:each="x,i : ${datas.content}">
                    <td th:text="${(datas.number * datas.size ) + i.count}">1.</td>
                    <td th:text="${x.namaGedung}">Kementrian</td>
                    <td class="text-center" th:text="${x.jumlahLantai}">3</td>
                    <td class="text-center">
                        <a class="btn btn-success btn-xs" th:href="@{/setting/gedung/new(id=${x.id})}">
                            <i class="fa fa-edit"></i>Edit</a>
                    </td>
                    <td class="text-center">
                        <form role="form" th:action="@{/setting/gedung/delete(id=${x.id})}" th:object="${gedung}" method="post">
                            <button type="submit" class="btn btn-danger btn-xs"
                                    onclick="return confirm('Are you sure want to delete this?')">
                                <i class="fa fa-trash"></i>Deleted</button>
                        </form>
                    </td>
                </tr>
                <tr th:if="${#lists.isEmpty(datas.content)}">
                    <td colspan="4" class="text-center"> Data Not Found</td>
                </tr>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>

</body>
</html>